<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h5>Add Blocked Devices</h5>
      </div>
      <div class="ibox-content">
        <form [formGroup]="saveForm" class="form-horizontal" (ngSubmit)="addBlockedDevices()">
            <div class="form-group"><label class="col-sm-2 control-label">Device id<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10">
                            <select class="form-control" formControlName="deviceId" >                         
                            <option [value]="id._id" *ngFor="let id of blockedDeviceData">
                                {{id._id}}
                            </option>
                        </select>
                        </div>
            </div>

            <div class="form-group"><label class="col-sm-2 control-label"></label>
              <div class="col-sm-10">
                <div *ngIf="saveForm.controls['deviceId'].invalid && (saveForm.controls['deviceId'].dirty || saveForm.controls['deviceId'].touched)" >
                    <div *ngIf="saveForm.controls['deviceId'].errors.required" class="alert alert-danger">
                      Device id is required.
                    </div>
                  </div>
              </div>
            </div> 

          <div class="form-group"> <label class="col-sm-2 control-label">Date from<i aria-hidden="true" class="mandatory">*</i></label>
          <input [(ngModel)]="date1" formControlName ="Date_from" placeholder="Choose a date" ngui-datetime-picker />
         </div>

          <div class="form-group"><label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="saveForm.controls['Date_from'].invalid && (saveForm.controls['Date_from'].dirty || saveForm.controls['Date_from'].touched)" >
                  <div *ngIf="saveForm.controls['Date_from'].errors.required" class="alert alert-danger">
                    Date from is required.
                  </div>
                </div>
            </div>
          </div> 
       
          <div class="form-group"> <label class="col-sm-2 control-label">Date to<i aria-hidden="true" class="mandatory">*</i></label>
            <input formControlName ="Date_to" placeholder="Choose a date" ngui-datetime-picker />
          </div>


          <div class="form-group"><label class="col-sm-2 control-label"></label>
            <div class="col-sm-10">
              <div *ngIf="saveForm.controls['Date_to'].invalid && (saveForm.controls['Date_to'].dirty || saveForm.controls['Date_to'].touched)" >
                  <div *ngIf="saveForm.controls['Date_to'].errors.required" class="alert alert-danger">
                    Date to is required.
                  </div>
                </div>
            </div>
          </div> 

           <div class="form-group"><label class="col-sm-2 control-label">Blocked notice<i aria-hidden="true" class="mandatory">*</i></label>
           <mat-form-field class="example-full-width" >
            <textarea matInput placeholder="Leave a Reason for Blocking" formControlName = "blocking_notice"></textarea>
                 </mat-form-field>
             </div>

             <div class="form-group"><label class="col-sm-2 control-label"></label>
              <div class="col-sm-10">
                <div *ngIf="saveForm.controls['blocking_notice'].invalid && (saveForm.controls['blocking_notice'].dirty || saveForm.controls['blocking_notice'].touched)" >
                    <div *ngIf="saveForm.controls['blocking_notice'].errors.required" class="alert alert-danger">
                      Blocked notice is required.
                    </div>
                  </div>
              </div>
            </div> 

          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save</button>
              <button class="btn btn-white" type="button" [routerLink]="['/admin/fleet/blocked-devices']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
